apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: ping
  annotations:
    nginx.ingress.kubernetes.io/enable-cors: "true"
    nginx.ingress.kubernetes.io/temporal-redirect: http://httpbin.org/status/200
spec:
  rules:
  - host: {{ cluster }}.k8s.root314.com
    http:
      paths:
      - backend:
          serviceName: foobar
          servicePort: 1234
